<?
	#################################################
	##                                             ##
	##   Database Class ( PHP ver 1.0 )            ##
	##   Written Date 12/01 2001                   ##
	##   Modify  Date 12/01 2001                   ##
	##   Written By   SungChul KIM                 ##
	##   Email        paranwave@hanmail.net        ##
	##                paranwave@korea.com          ##
	##   Homepage     http://teambus.pe.kg         ##
	##                http://paran.pe.kg           ##
	##                                             ##
	#################################################

	#################################################
	##  CDatabase: Database Class                  ##
	##  Function : DB ̿   Ŭ         ##
	##			   					               ##
	##									 		   ##
	#################################################

if(!defined("CLASS_DATABASE")) :
	define("CLASS_DATABASE","__CLASS_DATABASE");
	
	include ("/home/digitoman/public_html/class/class.Object.php");
	//Exception code
	define("NO_HAVE_RESULT","NO_HAVE_RESULT");
	class CDatabase extends CObject
	{
		//Private:
		var $m_szHostName;
		var $m_szUserName;
		var $m_szPassword;
		var $m_szDatabaseName;
		var $m_szQuery;
		var $m_objResult;
		var $m_objConnection;
		var $m_cCurrentRecordNo;
		var $m_cTotalRecordNo;
		var $m_cCurrentFieldNo;
		var $m_cTotalFieldNo;
		var $m_bEOF;    //Ʈ ΰ?
		var $m_bBOF;    //Ʈ óΰ?
		var $m_bfEOF;   //ʵ óΰ?
		var $m_bfBOF;   //ʵ ΰ?
		var $m_bIsSetResult;
		//Public:
		function CDatabase($szClassName="CDatabase")
		{
			$this->m_szHostName = "";
			$this->m_szUserName = "";
			$this->m_szPassword = "";
			$this->m_szDatabaseName = "";
			$this->m_szQuery = "";
			$this->m_arrResult = false;
			$this->objResult = false;
			$this->objConnection = false;
			$this->m_cCurrentRecordNo = 0;
			$this->m_cTotalRecordNo = 0;
			$this->m_cCurrentFieldNo = 0;
			$this->m_cTotalRecordNo = 0;
			$this->m_bEOF = false;
			$this->m_bBOF = true;
			$this->m_bfEOF = false;
			$this->m_bfBOF = false;
			$this->m_bIsSetResult=false;
			CObject::CObject($szClassName);
		}
		function __CDatabase(&$objInstance)
		{
			CObject::__CObject($objInstance);
		}
		function Exception($exception)
		{
			switch($exception)
			{
				case NO_HAVE_RESULT:
						printf("[ܹ߻] %s  , ǿ  ش  ϴ",$exception);
						break;
				default:
					CObject::Exception($exception);
			}
			if(__HALT_ON)
				exit;
			else
				return false;
		}
		function SetHostName($szHostName)
		{
			$this->m_szHostName = $szHostName;
		}
		function GetHostName()
		{
			return $this->m_szHostName;
		}
		function SetUserName($szUserName)
		{
			$this->m_szUserName = $szUserName;
		}
		function GetUserName()
		{
			return $this->m_szUserName;
		}
		function SetPassword($szPassword)
		{
			$this->m_szPassword = $szPassword;
		}
		function GetPassword()
		{
			return $this->m_szPassword;
		}
		function SetDatabaseName($szDatabaseName)
		{
			$this->m_szDatabaseName = $szDatabaseName;
		}
		function GetDatabaseName()
		{
			return $this->m_szDatabaseName;
		}
		function IsSetHostName()
		{
			if($this->m_szHostName == "")
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		function IsSetUserName()
		{
			if($this->m_szUserName == "")
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		function IsSetPassword()
		{
			if($this->m_szPassword == "")
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		function IsSetDatabaseName()
		{
			if($this->m_szDatabaseName == "")
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		function SelectDb($szDbName)
		{
			$this->SetDatabase($szDbName);
		}
		
		function SetAll($szHostName, $szUserName, $szPassword, $szDatabaseName="")
		{
			$this->SetHostName($szHostName);
			$this->SetUserName($szUserName);
			$this->SetPassword($szPassword);
			if($szDatabaseName != "")
			{
				$this->SetDatabaseName($szDatabaseName);
			}
		}
		function SetResult($objResult)
		{
			$this->m_objResult = $objResult;
		}
		function GetResult()
		{
			return $this->m_objResult;
		}
		function SetConnection($objConnection)
		{
			$this->m_objConnection = $objConnection;
		}
		function GetConnection()
		{
			return $this->m_objConnection;
		}
		function GetQuery()
		{
			return $this->m_szQuery;
		}
		function SetQuery($szQuery)
		{
			$this->m_szQuery = $szQuery;
		}
		function IsConnected()
		{
			return $this->m_objConnection;
		}
		function IsSetQuery()
		{
			if($this->m_szQuery == "")
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		function GetCurrentRecordNo()
		{
			return $this->m_cCurrentRecordNo;
		}
		function SetCurrentRecordNo($No)
		{
			$this->m_cCurrentRecordNo = $No;
		}
		function GetTotalRecordNo()
		{
			return $this->m_cTotalRecordNo;
		}
		function SetTotalRecordNo($No)
		{
			$this->m_cTotalRecordNo = $No;
		}
		function GetCurrentFieldNo()
		{
			return $this->m_cCurrentFieldNo;
		}
		function SetCurrentFieldNo($No)
		{
			$this->m_cCurrentFieldNo = $No;
		}
		function GetTotalFieldNo()
		{
			return $this->m_cTotalFieldNo;
		}
		function SetTotalFieldNo($No)
		{
			$this->m_cTotalFieldNo = $No;
		}
		function fIsEOF()
		{
			return $this->m_bfEOF;
		}
		function fSetEOF($bfEOF)
		{
			$this->m_bfEOF = $bfEOF;
		}
		function fIsBOF()
		{
			return $this->m_bfBOF;
		}
		function fSetBOF($bfBOF)
		{
			$this->m_bfBOF = $bfBOF;
		}
		function IsEOF()
		{
			return $this->m_bEOF;
		}
		function SetEOF($bEOF)
		{
			$this->m_bEOF = $bEOF;
		}
		function IsBOF()
		{
			return $this->m_bBOF;
		}
		function SetBOF($bBOF)
		{
			$this->m_bBOF = $bBOF;
		}
		## ߰ Լ
		function IsValidResult()
		{
			return $this->m_bIsSetResult;
		}
		function SetValidResult($bValid)
		{
			$this->m_bIsSetResult = $bValid;
		}
	}
endif;
?>