<?
	#################################################
	##                                             ##
	##   Env Class ( PHP ver 1.0 )                 ##
	##   Written Date 12/01 2001                   ##
	##   Modify  Date 12/06 2001                   ##
	##   Written By   SungChul KIM                 ##
	##   Email        paranwave@hanmail.net        ##
	##                paranwave@korea.com          ##
	##   Homepage     http://teambus.pe.kg         ##
	##                http://paran.pe.kg           ##
	##                                             ##
	#################################################

	#################################################
	##  CEnv     : Environment  Class              ##
	##  Function : ȯ   ų       ##
	##			   					               ##
	##									 		   ##
	#################################################
	
	

if(!defined("CLASS_ENV")) :
	define("CLASS_ENV","__CLASS_ENV");

	include ("/home/digitoman/public_html/class/class.Object.php");

	class CEnv extends CObject
	{
		//private:
		var $szValue;
		//public:
		function CEnv($szClassName="CEnv")
		{
			$this->szValue = "";
			CObject::CObject($szClassName);	
		}
		function __CEnv(&$objInstance)
		{
			CObject::__CObject($objInstance);
		}
		function Exception($exception)
		{
			switch($exception)
			{
				default:
					CObject::Exception($exception);
			}
			if(__HALT_ON)
				exit;
			else
				return false;
		}
		function GetEnv($szEnv)
		{
			$this->szValue = getenv($szEnv);
			return $this->szValue;
		}
		function SetEnv($szEnv)
		{
			putenv($szEnv);
		}
		function GetClientIp()
		{
			$this->szValue = getenv("REMOTE_ADDR");
			return $this->szValue;
		}
		function GetServerInfo()
		{
			$this->szValue = getenv("SERVER_SOFTWARE");
			return $this->szValue;
		}
		function GetServerName()
		{
			$this->szValue = getenv("SERVER_NAME");
			return $this->szValue;
		}
		function GetServerProtocol()
		{
			$this->szValue = getenv("SERVER_PROTOCOL");
			return $this->szValue;
		}
		function GetCgiType()
		{
			$this->szValue = getenv("GATEWAY_INTERFACE");
			return $this->szValue;
		}
		function GetServerPort()
		{
			$this->szValue = getenv("SERVER_PORT");
			return $this->szValue;
		}
		function GetRequestMethod()
		{
			$this->szValue = getenv("REQUEST_METHOD");
			return $this->szValue;
		}
		function GetPathInfo()
		{
			$this->szValue = getenv("PATH_INFO");
			return $this->szValue;
		}
		function GetPathTranslated()
		{
			$this->szValue = getenv("PATH_TRANSLATED");
			return $this->szValue;
		}
		function GetScriptName()
		{
			$this->szValue = getenv("SCRIPT_NAME");
			return $this->szValue;
		}
		function GetQueryString()
		{
			$this->szValue = getenv("QUERY_STRING");
			return $this->szValue;
		}
		function GetClientName()
		{
			$this->szValue = getenv("REMOTE_HOST");
			return $this->szValue;
		}
		function GetContentLength()
		{
			$this->szValue = getenv("CONTENT_LENGTH");
			return $this->szValue;
		}
		function GetUserAgent()
		{
			$this->szValue = getenv("HTTP_USER_AGENT");
			return $this->szValue;
		}
		function GetLastModifyTime($szTimeFormat="Y/m/d H:i:s")
		{
			$time = getlastmod();
			$this->szValue = date($szTimeFormat, $time);
			return $this->szValue;
		}
		function GetPhpInfo()
		{
			phpinfo();
		}
		function GetPhpVersion()
		{
			$this->szValue = phpversion();
			return $this->szValue;
		}
	}
endif;
?>