<?
	#################################################
	##                                             ##
	##   Mysql Class ( PHP ver 1.0 )               ##
	##   Written Date 12/01 2001                   ##
	##   Modify  Date 12/05 2001                   ##
	##   Written By   SungChul KIM                 ##
	##   Email        paranwave@hanmail.net        ##
	##                paranwave@korea.com          ##
	##   Homepage     http://teambus.pe.kg         ##
	##                http://paran.pe.kg           ##
	##                                             ##
	#################################################

	#################################################
	##  CMysql   : Mysql Class                     ##
	##  Function : Mysql   Ŭ            ##
	##			   					               ##
	##									 		   ##
	#################################################

if(!defined("CLASS_MYSQL")) :
	define("CLASS_MYSQL","__CLASS_MYSQL");
	
	include ("/home/digitoman/public_html/class/class.Database.php");
	class CMysql extends CDatabase
	{
		//public
		function CMysql($szClassName="CMysql")
		{
			CDatabase::CDatabase($szClassName);
		}
		function __CMysql(&$objInstance)
		{
			CDatabase::__CDatabase($objInstance);
		}
		function Exception($exception)
		{
			CDatabase::Exception($exception);
		}
		function ErrorNo()
		{
			return mysql_errno();
		}
		function ErrorMsg()
		{
			return mysql_error();
		}
		function DebugOut($bEcho=true)
		{
			$error_no = ErrorNo();
			$error_msg = ErrorMsg();
			$error = "[mysql error message] " . $error_no . $error_msg ;
			if($bEcho)
			{
				echo $error;
			}
			else
			{
				return $error;
			}
		}
		function ListTables($szDatabase=false)
		{
			# $szDatabase  false ̸  õ Database 
			if($szDatabase==false)
			{
				$ListTables = mysql_list_tables($this->GetDatabaseName(), $this->GetConnection());
			}
			else
			{
				$ListTables = mysql_list_tables($szDatabase, $this->GetConnection());
			}
			while($arr=mysql_fetch_row($ListTables))
			{
				$RetVal[] = $arr[0];
			}
			return $RetVal;
		}
		/*
		function ListFields($szTable,$szDatabase=false)
		{
			# $szDatabase  false ̸  õ Database 
			if($szDatabase==false)
			{
				$ListFields = mysql_list_fields($this->GetDatabaseName(), $szTable, $this->GetConnection());
			}
			else
			{
				$ListFields = mysql_list_fields($szDatabase, $szTable, $this->GetConnection());
			}
			return $ListFields;
		}
		*/
		function Connect($szHostName="", $szUserName="", $szPassword="", $szDatabaseName="")
		{
			$bReturn = false;
			if($szHostName != "" && $szUserName != "" && $szPassword != "")
			{
				$this->SetAll($szHostName, $szUserName, $szPassword);
			}
			else
			{
				if(!$this->IsSetHostName()) return false;
				if(!$this->IsSetUserName()) return false;
				if(!$this->IsSetPassword()) return false;
			}
			$objMysqlConn = mysql_connect($this->GetHostName(), $this->GetUserName(), $this->GetPassword());
			if(!$objMysqlConn)
			{
				if(__DEBUG)
				{
					$this->DebugOut();
				}
			}
			else
			{
				$this->SetConnection($objMysqlConn);
				if($szDatabaseName != "")
				{
					if(mysql_select_db($szDatabaseName, $this->GetConnection()))
					{
						$this->SetDatabaseName($szDatabaseName);
					}
				}
				else
				{
					if($this->IsSetDatabaseName())
					{
						mysql_select_db($this->GetDatabaseName(), $this->GetConnection());
					}
				}
				$bReturn = true;
			}
			return $bReturn;
		}
		function Disconnect()
		{
			$bRetrun = false;
			if($this->IsConnected())
			{
				if(mysql_close($this->GetConnection()))
				{
					$this->SetHostName("");
					$this->SetUserName("");
					$this->SetPassword("");
					$this->SetDatabaseName("");
					$this->SetQuery("");
					$this->SetResult(false);
					$this->SetConnection(false);
					$this->SetCurrentRecordNo(0);
					$this->SetTotalRecordNo(0);
					$this->SetCurrentFieldNo(0);
					$this->SetTotalFieldNo(0);
					$this->SetEOF(false);
					$this->SetBOF(false);
					$bReturn = true;
				}
			}
			return $bReturn;
		}
		##  ĭ̸ SetQuery  Է  Ѵ
		function Query($szQuery="")
		{
			$bReturn = false;
			if($szQuery=="")
			{
				if($this->IsSetQuery())
				{
					$objResult = mysql_query($this->GetQuery(), $this->GetConnection());
					if($objResult)
					{
						if(!is_bool($objResult))
						{
							if(mysql_num_rows($objResult) > 0)
							{
								$this->SetValidResult(true);
								$this->SetResult($objResult);
								$this->SetCurrentRecordNo(0);
								$this->SetTotalRecordNo(mysql_num_rows($objResult));
								$this->SetCurrentFieldNo(0);
								$this->SetTotalFieldNo(mysql_num_fields($objResult));
								$this->SetEOF(false);
								$this->SetBOF(true);
								$this->fSetEOF(false);
								$this->fSetBOF(true);
							}
							else
							{
								$this->SetEOF(false);
								$this->SetBOF(false);
								$this->fSetEOF(false);
								$this->fSetBOF(false);
								$this->SetValidResult(false);
							}

						}
						$bReturn = true;
					}
				}
			}
			else
			{
				$objResult = mysql_query($szQuery, $this->GetConnection());
				if($objResult)
				{
					if(!is_bool($objResult))
					{
						if(mysql_num_rows($objResult) > 0)
						{
							$this->SetValidResult(true);
							$this->SetResult($objResult);
							$this->SetCurrentRecordNo(0);
							$this->SetTotalRecordNo(mysql_num_rows($objResult));
							$this->SetCurrentFieldNo(0);
							$this->SetTotalFieldNo(mysql_num_fields($objResult));
							$this->SetEOF(false);
							$this->SetBOF(true);
							$this->fSetEOF(false);
							$this->fSetBOF(true);
						}
						else
						{
							$this->SetEOF(false);
							$this->SetBOF(false);
							$this->fSetEOF(false);
							$this->fSetBOF(false);
							$this->SetValidResult(false);
						}
					}
					$bReturn = true;
				}
			}
			return $bReturn;
		}

		//SELECT VERSION() 3.23.3 ̻󿡼 ȴ
		//function ChangeUser($szUserName, $szPassword, $szDatabaseName="")
		//{
		//	$this->SetUserName($szUserName);
		//	$this->SetPassword($szPassword);
		//	if($szDatabaseName != "")
		//	{
		//		if($this->GetDatabaseName() != $szDatabaseName)
		//		{
		//			$this->SetDatabaseName($szDatabaseName);
		//		}
		//	}
		//	return mysql_change_user($this->GetUserName(), $this->GetPassword(), $this->GetDatabaseName(), //$this->GetConnection());
		//}
		function CreateDatabase($szDatabaseName)
		{
			//Database  ڵ ٲ ʴ´ ̰  
			return mysql_create_db($szDatabaseName, $this->GetConnection());
		}
		function DeleteDatabase($szDatabaseName)
		{
			return mysql_drop_db($szDatabaseName, $this->GetConnection());
		}
		function GetCurrentResult()
		{
			$cCurNo = $this->GetCurrentRecordNo();
			if($cCurNo < 0)
			{
				$this->First();
				$cCurNo = $this->GetCurrentRecordNo();
			}
			else if($cCurNo >= $this->GetTotalRecordNo())
			{
				$this->Last();
				$cCurNo = $this->GetCurrentRecordNo();
			}
			if($this->IsValidResult())
			{
				$objResult = $this->GetResult();
				mysql_data_seek($objResult, $cCurNo);
				return $objResult;
			}
			else
			{
				$this->Exception(NO_HAVE_RESULT);
			}
		}
		function FetchFields($iField=0,$GetAll=false)
		{
			$objResult = $this->GetCurrentResult();
			if($GetAll)
			{
				for($i=0; $i<$this->GetTotalFieldNo(); $i++)
				{
					$arrFieldObject[$i] = mysql_fetch_field($objResult, $i);
				}
				return $arrFieldObject;
			}
			else
			{
				return mysql_fetch_field($objResult, $iField);
			}
		}
		function FetchLengths()
		{
			$objResult = $this->GetCurrentResult();
			$lengths   = mysql_fetch_lengths($objResult);
			return $lengths;
		}
		function FetchObject()
		{
			$objResult = $this->GetCurrentResult();
			return mysql_fetch_object($objResult);
		}
		function FetchRow()
		{
			$objResult = $this->GetCurrentResult();
			return mysql_fetch_row($objResult);
		}
		function FieldFlags($iFiled=0, $GetAll=false)
		{
			$objResult = $this->GetCurrentResult();
			if($GetAll)
			{
				for($i=0; $i<$this->GetTotalFieldNo(); $i++)
				{
					$arrFieldFlags[$i] = mysql_field_flags($objResult, $i);
				}
				return $arrFieldFlags;
			}
			else
			{
				$FieldFlag = mysql_field_flags($objResult, $iField);
				return $FieldFlag;
			}
		}
		function FieldLen($iField=0,$GetAll=false)
		{
			$objResult = $this->GetCurrentResult();
			if($GetAll)
			{
				for($i=0; $i<$this->GetTotalFieldNo(); $i++)
				{
					$arrFieldLen[$i] = mysql_field_len($objResult, $i);
				}
				return $arrFieldFlags;
			}
			else
			{
				$FieldLen = mysql_field_len($objResult, $iField);
				return $FieldLen;
			}
		}
		function FieldName($iField=0,$GetAll=false)
		{
			$objResult = $this->GetCurrentResult();
			if($GetAll)
			{
				for($i=0; $i<$this->GetTotalFieldNo(); $i++)
				{
					$FieldName[$i] = mysql_field_name($objResult, $i);
				}
			}
			else
			{
				$FieldName = mysql_field_name($objResult, $iField);
			}
			return $FieldName;
		}
		function FieldTable($iField=0,$GetAll=false)
		{
			$objResult = $this->GetCurrentResult();
			if($GetAll)
			{
				for($i=0; $i<$this->GetTotalFieldNo(); $i++)
				{
					$FieldTable[$i] = mysql_field_table($objResult, $i);
				}
			}
			else
			{
				$FieldTable = mysql_field_table($objResult, $iField);
			}
			return $FieldTable;
		}
		function FieldType($iField=0, $GetAll=false)
		{
			$objResult = $this->GetCurrentResult();
			if($GetAll)
			{
				for($i=0; $i<$this->GetTotalFieldNo(); $i++)
				{
					$FieldType[$i] = mysql_field_type($objResult, $i);
				}
			}
			else
			{
				$FieldType = mysql_field_type($objResult, $iField);
			}
			return $FieldType;
		}
		function ListDbs()
		{
			//  ̿Ѵ
			$objConnect = $this->GetConnection();
			$objResult  = mysql_list_dbs($objConnect);
			$i=0;
			while($row = mysql_fetch_row($objResult))
			{
				$ListDbs[$i] = $row[0];
				$i++;
			}
			return $ListDbs;
		}
		//ʵ ó
		function fFirst()
		{
			$this->SetCurrentFieldNo(0);
			$this->fSetBOF(true);
			$this->fSetEOF(false);
		}
		//ʵ 
		function fLast()
		{
			$iTotalFieldNo  = $this->GetTotalFieldNo();
			$iTotalFieldNo -= 1;
			$this->SetCurrentFieldNo($iTotalFieldNo);
			$this->fSetBOF(false);
			$this->fSetEOF(true);
		}
		//ʵ带 ´
		function fNext()
		{
			$cCurFieldNo  = $this->GetCurrentFieldNo();
			$cTotFieldNo  = $this->GetTotalFieldNo();
			$cCurFieldNo += 1;
			$this->SetCurrentFieldNo($cCurFieldNo);
			if($cCurFieldNo < $cTotFieldNo) //0 ϹǷ ü 1 Ѵ
			{	
				//   ִ
				$this->fSetEOF(false);
			}
			else
			{
				$this->fSetEOF(true); //̴
			}
			$this->fSetBOF(false); //ó ƴϴ
		}
		//ʵ带 ´
		function fPrev()
		{
			$cCurFieldNo  = $this->GetCurrentFieldNo();
			$cTotFieldNo  = $this->GetTotalFieldNo();
			$cCurFieldNo -= 1;
			$this->SetCurrentFieldNo($cCurFieldNo);
			if($cCurFieldNo >= 0) 
			{	
				//   ִ
				$this->fSetBOF(false);
			}
			else
			{
				$this->fSetBOF(true); //ó̴
			}
			$this->fSetEOF(false); // ƴϴ
		}
		function FieldInfo()
		{
			$objResult = $this->GetCurrentResult();
			mysql_field_seek($objResult, $this->GetCurrentFieldNo());
			return mysql_fetch_field($objResult);
		}
		function FetchArray()
		{
			$objResult = $this->GetCurrentResult();
			$this->SetResult($objResult);
			return mysql_fetch_array($objResult, MYSQL_ASSOC);
		}
		function FreeResult()
		{
			$bReturn = false;
			if($this->m_objResult)
			{
			  mysql_free_result($this->m_objResult);
			  $this->m_objResult = false;
			  $bReturn = true;
			}
			return $bReturn;
		}
		function First()
		{
			$this->SetCurrentRecordNo(0);
			$this->SetEOF(false);
			$this->SetBOF(true);
		}
		function Last()
		{
			$cLastNo  = $this->GetTotalRecordNo();
			$cLastNo -= 1;
			$this->SetCurrentRecordNo($cLastNo);
			$this->SetEOF(true);
			$this->SetBOF(false);
		}
		function Next()
		{
			$cCurNo  = $this->GetCurrentRecordNo();
			$cTotNo  = $this->GetTotalRecordNo();
			$cCurNo += 1;
			$this->SetCurrentRecordNo($cCurNo);
			if($cCurNo < $cTotNo) //0 ϹǷ ü 1 Ѵ
			{	
				//   ִ
				$this->SetEOF(false);
			}
			else
			{
				$this->SetEOF(true); //̴
			}
			$this->SetBOF(false); //ó ƴϴ
		}
		function Prev()
		{
			$cCurNo  = $this->GetCurrentRecordNo();
			$cTotNo  = $this->GetTotalRecordNo();
			$cCurNo -= 1;
			$this->SetCurrentRecordNo($cCurNo);
			if($cCurNo >= 0) 
			{	
				//   ִ
				
				$this->SetBOF(false);
			}
			else
			{
				$this->SetBOF(true); //ó̴
			}
			$this->SetEOF(false); // ƴϴ
		}
		function Field($szFieldName)
		{
			//ȿ if($this->IsValidResult()) ܸ ϶!
			//{
				$objResult = $this->GetCurrentResult();
				$arrResult = mysql_fetch_array($objResult, MYSQL_ASSOC);
				return $arrResult[$szFieldName];
			//}
		}
	}
endif;
?>